﻿using IQAP.Ofertas.Negocio.Datos;
using IQAP.Ofertas.Negocio.Modelo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.API
{
    public class ClienteFinalTarifaAPI
    {
        public ClienteFinalTarifa ObtenerClienteFinal(string idCliente)
        {
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                return Repositorio.ClientesFinales.Seleccionar(c=> c.Codigo == idCliente).FirstOrDefault();
            }
        }

        public List<ClienteFinalTarifa> SeleccionarClientesFinales(string filtro)
        {
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                return Repositorio.ClientesFinales.Seleccionar(c => c.Codigo.Contains(filtro) || c.Descripcion.Contains(filtro)).ToList();
            }
        }
    }
}
