﻿using IQAP.Ofertas.Negocio.Modelo;
using System.Collections.Generic;
using System;
using System.Linq;
using IQAP.Ofertas.Negocio.API;

namespace IQAP.Ofertas.Negocio
{
    public class ConfiguracionCalculo
    {
        public Calculo Calculo { get; set; }
        public List<Calculo_Valores> ValoresBase { get; set; }
        public List<Calculo_EscaladoKg> ValoresAjusteEscaladoKg { get; set; }
        public List<Calculo_Area> ValoresAreas { get; set; }
        public List<Calculo_Polimero> ValoresPolimeros { get; set; }

        public bool ContieneCriterio(short idCriterio)
        {
            if(Calculo != null && Calculo.Criterios != null)
            {
                return Calculo.Criterios.Any(c => c.IdCriterio == idCriterio) || idCriterio == (short) Criterios.ValoresCalculo;
            }

            return false;
        }

        public int? ObtenerEscaladoCoste(decimal costeMaterial)
        {
            int? escaladoCoste = null;
            if(Calculo != null && Calculo.EscaladosCoste != null)
            {
                escaladoCoste = Calculo.EscaladosCoste.Where(e => e.ValorDesde <= costeMaterial && (!e.ValorHasta.HasValue || e.ValorHasta.Value > costeMaterial)).Select(e => e.IdCalculo_EscaladoCoste).FirstOrDefault();
               
            }

            return escaladoCoste;
        }
    }
}