﻿using IQAP.Ofertas.Negocio.Modelo;
using IQAP.Shared.Common.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.Entity;

namespace IQAP.Ofertas.Negocio.Datos
{
    public class AplicacionRepositorio : Repositorio<Aplicacion>
    {
        public AplicacionRepositorio(OfertasEntities context) : base(context)
        {
        }

        public OfertasEntities contextoOferta
        {
            get { return Contexto as OfertasEntities; }
        }

        public void Eliminar(short idAplicacion)
        {
            var listCompatibles = contextoOferta.Aplicacion_AplicacionCompatible.Where(r => r.IdAplicacion == idAplicacion || r.IdAplicacionCompatible == idAplicacion);
            contextoOferta.Aplicacion_AplicacionCompatible.RemoveRange(listCompatibles);

            var listProcesos = contextoOferta.Aplicacion_Proceso.Where(p => p.IdAplicacion == idAplicacion);
            contextoOferta.Aplicacion_Proceso.RemoveRange(listProcesos);

            var aplicacion = contextoOferta.Aplicacions.Find(idAplicacion);
            contextoOferta.Aplicacions.Remove(aplicacion);
        }

        public override Aplicacion Obtener(int idAplicacion)
        {
            return contextoOferta.Aplicacions.Include(a => a.Procesos).Include("AplicacionCompatibles.AplicacionCompatible").Where(a => a.IdAplicacion == idAplicacion).FirstOrDefault();
        }

        public override void Modificar(Aplicacion aplicacion)
        {
            var apToUpdate = this.Obtener(aplicacion.IdAplicacion);
            if (apToUpdate != null)
            {
                apToUpdate.Descripcion = aplicacion.Descripcion;
                apToUpdate.EsArticuloPulverizado = aplicacion.EsArticuloPulverizado;
                contextoOferta.Aplicacion_Proceso.RemoveRange(apToUpdate.Procesos);
                foreach (var proceso in aplicacion.Procesos)
                {
                    apToUpdate.Procesos.Add(proceso);
                }
                contextoOferta.Aplicacion_AplicacionCompatible.RemoveRange(apToUpdate.AplicacionCompatibles);
                foreach (var ac in aplicacion.AplicacionCompatibles)
                {
                    apToUpdate.AplicacionCompatibles.Add(ac);
                }
            }
        }
    }
}
