﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Datos
{
    internal interface IRepositorio<TEntidad, TClave> where TEntidad : class
    {
        TEntidad Obtener(TClave id);
        IQueryable<TEntidad> Seleccionar(Expression<Func<TEntidad, bool>> predicate);
        void Guardar(TEntidad entity);
        void Eliminar(TClave id);
    }
    
}
