﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Datos
{
    public class ListaEscaladosKg
    {
        public static List<short> EscaladosKg = new List<short>() { 25, 50, 100, 200, 500, 1000, 2000, 5000, 10000, 20000 };
        public static List<short> EscaladosKgPulverizados = new List<short>() { 5, 10, 15, 25, 50, 100, 200, 500, 1000, 2000, 5000, 10000, 20000 };
        public static short EscaladoPrecioUnico = 0;

        public static bool EsEscaladoEstandar(string escaladoKg)
        {
            if (short.TryParse(escaladoKg, out short idEscaladoKg))
            {
                return EsEscaladoEstandar(idEscaladoKg);
            }
            return false;
        }

        public static bool EsEscaladoEstandar(short escaladoKg)
        {
            return EscaladosKg.Contains(escaladoKg);
        }

        /// <summary>
        /// Indica si un escalado es pulverizado no estandar
        /// </summary>
        /// <param name="escaladoKg"></param>
        /// <returns></returns>
        public static bool EsEscaladoPulverizado(string escaladoKg)
        {
            if (short.TryParse(escaladoKg, out short idEscaladoKg))
            {
                return EsEscaladoPulverizado(idEscaladoKg);
            }
            return false;
        }

        public static bool EsEscaladoPulverizado(short escaladoKg)
        {
            return EscaladosKgPulverizados.Contains(escaladoKg) && !EscaladosKg.Contains(escaladoKg);
        }

        public static bool EsEscaladoPrecioUnico(string escaladoKg)
        {
            if (short.TryParse(escaladoKg, out short idEscaladoKg))
            {
                return EsEscaladoPrecioUnico(idEscaladoKg);
            }
            return false;
        }

        public static bool EsEscaladoPrecioUnico(short escaladoKg)
        {
            return escaladoKg == EscaladoPrecioUnico;
        }

    }
}
