﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Reflection;
using System.Resources;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Informes
{
    public class GestorTextosReport
    {
        public const string DocOfertaNamespace = "IQAP.Ofertas.Negocio.Informes.DocOferta";
        public const string DocTarifasNamespace = "IQAP.Ofertas.Negocio.Informes.DocTarifas";
        public const string DocIncrementoPreciosNamespace = "IQAP.Ofertas.Negocio.Informes.DocIncrementoPrecios";
        public List<KeyValuePair<string, string>> ObtenerTextosDocumento(short idDocumento, string idioma)
        {
            string docNamespace = ObtenerNamespace(idDocumento);

            return ObtenerTextosReport(docNamespace, idioma);
        }

        private string ObtenerNamespace(short idDocumento)
        {
            switch(idDocumento)
            {
                case (short)Informes.DocOferta:
                    return DocOfertaNamespace;
                case (short)Informes.DocIncrementoPrecios:
                    return DocIncrementoPreciosNamespace;
                case (short)Informes.DocTarifas:
                default:
                    return DocTarifasNamespace;
            }
        }

        public string ObtenerTextoDocumento(short idDocumento, string key, string idioma)
        {
            if (String.IsNullOrWhiteSpace(key)) return key;

            CultureInfo ci = new CultureInfo(idioma);
            string docNamespace = ObtenerNamespace(idDocumento);
            ResourceManager rm = new ResourceManager(docNamespace, Assembly.GetExecutingAssembly());

            var texto = rm.GetString(key, ci);
            if (String.IsNullOrEmpty(texto))
            {
                texto = "[!" + key + "]";
            }

            return texto;
        }

        private List<KeyValuePair<string, string>> ObtenerTextosReport(string path, string idioma)
        {
            List<KeyValuePair<string, string>> list = new List<KeyValuePair<string, string>>();

            CultureInfo ci = new CultureInfo(idioma);
            ResourceManager rm = new ResourceManager(path, Assembly.GetExecutingAssembly());

            ResourceSet rs = rm.GetResourceSet(ci, true, true);

            foreach (DictionaryEntry entry in rs)
            {
                list.Add(new KeyValuePair<string, string>(entry.Key.ToString(), entry.Value.ToString()));
            }

            return list;
        }
    }
}
