﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using IQAP.Ofertas.Negocio.Modelo;
using IQAP.Shared.Common;
using IQAP.Ofertas.Negocio.Datos;

namespace IQAP.Ofertas.Negocio
{
    public class IntegradorOfertasM3
    {
        internal void GuardarOfertaM3(Oferta oferta)
        {
            Logger.Info(String.Format("Inicio Guardar Oferta M3: {0} ", oferta.IdOferta));

            //Integración M3
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                try
                {
                    Repositorio.Ofertas.IntegrarOfertaM3(oferta.IdOferta);
                    oferta.IntegradaM3 = true;
                    Repositorio.Ofertas.Modificar(oferta);
                    Repositorio.SaveChanges();
                    Logger.Info(String.Format("Fin Guardar Oferta M3: {0} ", oferta.IdOferta));
                    
                }
                catch (Exception ex)
                {
                    Logger.Error("Error integrar M3", ex);
                    throw;
                }
            }
        }
    }
}
