﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public enum VerComparativaVA
    {
        Todos = 0,
        DiferenciaEuroKg = 1,
        DiferenciaEuroKgNegativa = 2,
        DiferenciaVA = 3,
        DiferenciaVANegativa = 4
    }

    public class FiltroConsultaComparativaVA
    {
        public string Grupo { get; set; }
        public string Cliente { get; set; }
        public string ClienteFinal { get; set; }
        public string Articulo { get; set; }
        public DateTime? Fecha { get; set; }

        public bool VerReferenciaInterna { get; set; }

        public short VerSeleccionado { get; set; }

        public int? EscaladoKg { get; set; }
        public List<string> AsistentesPermitidas { get; set; }

        public decimal DiferenciaEurKgImportante { get; set; }
        public decimal DiferenciaVAImportante { get; set; }

        public bool VerCantidadVA { get; set; }

        public FiltroConsultaComparativaVA()
        {
            Clear();
        }
        public void Clear()
        {
            Grupo = string.Empty;
            Cliente = string.Empty;
            ClienteFinal = string.Empty;
            Articulo = string.Empty;
            Fecha = null;
            VerReferenciaInterna = false;
            VerSeleccionado = (short) VerComparativaVA.Todos;
            EscaladoKg = null;
            DiferenciaEurKgImportante = 0.2m;
            DiferenciaVAImportante = 10m;
            VerCantidadVA = false;

            AsistentesPermitidas = new List<string>();
        }
    }
}
