﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public partial class Oferta
    {
        public bool EsHistorica
        {
            get
            {
                return IdOfertaOrigen.HasValue;
            }
        }

        public DateTime FechaInicioVigencia
        {
            get
            {
                DateTime fecha = FechaEntrega.HasValue ? FechaEntrega.Value : FechaCreacion.Value;
                return (EsOfertaSPOT || IndicarFechasVigencia) ? fecha : new DateTime(fecha.Year, fecha.Month, 1);
            }
        }

        public DateTime FechaFinVigenciaEstimada
        {
            get
            {
                return FechaFinVigencia.HasValue? FechaFinVigencia.Value: CalcularFechaFinVigenciaEstimada(FechaInicioVigencia, MesesValidez);
            }
        }

        public static DateTime CalcularFechaFinVigenciaEstimada(DateTime fechaInicio, int mesesValidez)
        {
            return fechaInicio.AddMonths(mesesValidez + 1).AddDays(-1);
        }

        public List<short> ObtenerListaEscaladosKg()
        {
            return ObtenerListaEscaladosKg(this.OfertaLineas.ToList());
        }

        public List<short> ObtenerListaEscaladosKg(List<OfertaLinea> lineas)
        {
            List<short> lista = new List<short>();
            if (lineas != null && lineas.Count > 0)
            {
                lineas.ToList().ForEach(l =>
                {
                    lista = lista.Concat(l.EscaladosKgLinea).ToList();
                });

                lista = lista.Distinct().OrderBy(i => i).ToList();
            }
            return lista;
        }

        public void ActualizarFechas(DateTime fechaImpresion)
        {
            FechaImpresion = fechaImpresion;
            FechaEntrega = FechaInicioVigencia;
            FechaFinVigencia = FechaFinVigenciaEstimada;
        }
    }
}
