﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public class Precio
    {
        public Precio()
        {
            PreciosEscalado = new Dictionary<short, decimal>();
        }
        public short Orden { get; set; }
        public bool EsVigente { get; set; }

        public string TipoTarifa { get; set; }
        public string OrigenPrecio { get; set; }

        public string Cliente { get; set; }

        public string Moneda { get; set; }

        public DateTime FechaInicio { get; set; }
        public DateTime FechaFin { get; set; }

        public Dictionary<short, decimal> PreciosEscalado { get; set; }
        public decimal? PrecioKg25 { get { return PrecioKg(25);} set {SetPrecioKg(25, value); } }
        public decimal? PrecioKg50 { get { return PrecioKg(50); } set { SetPrecioKg(50, value); } }
        public decimal? PrecioKg100 { get { return PrecioKg(100); } set { SetPrecioKg(100, value); } }
        public decimal? PrecioKg200 { get { return PrecioKg(200); } set { SetPrecioKg(200, value); } }
        public decimal? PrecioKg500 { get { return PrecioKg(500); } set { SetPrecioKg(500, value); } }
        public decimal? PrecioKg1000 { get { return PrecioKg(1000); } set { SetPrecioKg(1000, value); } }
        public decimal? PrecioKg2000 { get { return PrecioKg(2000); } set { SetPrecioKg(2000, value); } }
        public decimal? PrecioKg5000 { get { return PrecioKg(5000); } set { SetPrecioKg(5000, value); } }
        public decimal? PrecioKg10000 { get { return PrecioKg(10000); } set { SetPrecioKg(10000, value); } }
        public decimal? PrecioKg20000 { get { return PrecioKg(20000); } set { SetPrecioKg(20000, value); } }

        private decimal? PrecioKg(short idEscaladoKg)
        {
            if (PreciosEscalado.ContainsKey(idEscaladoKg))
            {
                return PreciosEscalado[idEscaladoKg];
            }

            return null;
        }

        private void SetPrecioKg(short idEscaladoKg, decimal? value)
        {
            if (PreciosEscalado.ContainsKey(idEscaladoKg))
            {
                if (value.HasValue)
                {
                    PreciosEscalado[idEscaladoKg] = value.Value;
                }
                else
                {
                    PreciosEscalado.Remove(idEscaladoKg);
                }
            }
            else
            {
                if (value.HasValue)
                {
                    PreciosEscalado.Add(idEscaladoKg, value.Value);
                }
            }
        }
    }
}
