﻿using IQAP.Ofertas.Negocio.Modelo;
using IQAP.Ofertas.Recursos.Textos;
using IQAP.Shared.Common.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio
{
    public class OfertaImprimirMensajeConstructor : IMensajeConstructor
    {
        private readonly Oferta _oferta;
        private readonly List<string> _adjuntos;
        public OfertaImprimirMensajeConstructor(Oferta oferta, List<string> adjuntos)
        {
            _oferta = oferta;
            _adjuntos = adjuntos;
        }
        public string ObtenerMensaje()
        {
            return String.Format(Mensajes.MensajeEmailOferta, _oferta.Descripcion);
        }

        public string ObtenerTitulo()
        {
            return String.Format(Mensajes.TituloEmailOferta, _oferta.Descripcion);
        }

        public List<string> ObtenerAdjuntos()
        {
            return _adjuntos;
        }
    }
}
