﻿using IQAP.Ofertas.Negocio.API;
using IQAP.Shared.Negocio.API;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio
{
    internal class OfertasEmailHelper
    {
        internal static string ObtenerDestinatariosEnvio(bool enviarCorreoAsistente, string mailAsistenteCliente, string mailAsistente, string idRepresentante)
        {
            //Obtener el mail del usuario que imprime
            string usuarioEmail = ObtenerMailUsuario(System.Environment.UserName);
            string mailComercial = ObtenerMailComercial(idRepresentante);
            string destinatarios = usuarioEmail;
            if (enviarCorreoAsistente)
            {
                if (String.IsNullOrEmpty(mailAsistente))
                {
                    mailAsistente = mailAsistenteCliente;
                }
                if (mailAsistente != usuarioEmail)
                {
                    destinatarios += "," + mailAsistente;
                }
                if (!String.IsNullOrEmpty(mailComercial) && mailComercial != usuarioEmail)
                {
                    destinatarios += "," + mailComercial;
                }
            }

            return destinatarios;

        }

        private static string ObtenerMailUsuario(string usuario)
        {
            if (!String.IsNullOrEmpty(usuario))
            {
                var api = new UsuarioSharedAPI();
                var usuarioAD = api.ObtenerUsuario(usuario);
                if (usuarioAD != null)
                {
                    return usuarioAD.Email;
                }
            }
            return string.Empty;
        }
        private static string ObtenerMailComercial(string idRepresentante)
        {
            if (!String.IsNullOrEmpty(idRepresentante))
            {
                var api = new RepresentanteAPI();
                var r = api.ObtenerRepresentante(idRepresentante);
                return r.Email;
            }
            return string.Empty;
        }
    }
}
