﻿using IQAP.Shared.Common;
using IQAP.Shared.Negocio.API;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace IQAP.Ofertas.Services.Controllers
{
    [RoutePrefix("Maestros")]
    public class MaestrosController : ApiController
    {
        [Route("Articulos")]
        [HttpGet]
        public IHttpActionResult CargarArticulos()
        {
            try
            {
                var api = new ArticuloSharedAPI();
                var articulos = api.GetFiltroArticulos(String.Empty);
                if (articulos != null)
                {                    
                    return Ok(articulos.Select(a=>a.IdArticulo).ToList());
                }
                else
                {
                    throw new HttpResponseException(HttpStatusCode.NotFound);
                }
            }
            catch (Exception ex)
            {
                //Aqui pondremos un control del error en un log.
                Logger.Error(String.Format("Cargando Articulos", ex));
                throw new HttpResponseException(HttpStatusCode.InternalServerError);
            }
        }

        [Route("Clientes")]
        [HttpGet]
        public IHttpActionResult CargarNegocios()
        {
            try
            {
                var api = new ClienteSharedAPI();
                var clientes = api.GetFiltroClientes(String.Empty,false,true, null);
                if (clientes != null)
                {
                    return Ok(clientes.Select(c => c.IdCliente).ToList());
                }
                else
                {
                    throw new HttpResponseException(HttpStatusCode.NotFound);
                }
            }
            catch (Exception ex)
            {
                //Aqui pondremos un control del error en un log.
                Logger.Error(String.Format("Cargando Clientes", ex));
                throw new HttpResponseException(HttpStatusCode.InternalServerError);
            }
        }
    }
}
