﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.DirectoryServices.AccountManagement;
using IQAP.Ofertas.Services.Datos;
using IQAP.Ofertas.Services.Models;

namespace IQAP.Ofertas.Services.Controllers
{
    [RoutePrefix("Usuario")]
    public class UserController : ApiController
    {
        [Route("ValidarUsuario")]
        [HttpPost]
        public IHttpActionResult ValidarUsuario(Credenciales credenciales)
        {
            var api = new ValidacionUsuarioAPI();
            var token = api.CheckCredentials(credenciales.Usuario, credenciales.Password);
                        
            try
            {
                if (token != null)
                {
                    return Ok(token);
                }

                else
                {
                    return NotFound();

                }
            }
            catch (Exception ex)
            {                
                return InternalServerError(ex);
            }

        }

        
    }
}
