﻿using IQAP.OfertasAPP.Negocio.Data;
using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.OfertasAPP.Negocio.API
{
    public class CalculadoraAPI
    {
        public async Task<List<KeyValuePair<short, decimal>>> ObtenerPrecio(ParametrosCalculoPrecio parametro)
        {
            var dataProvider = new CalculadoraDataProvider();
            var precio = await dataProvider.GetPrecio(parametro);
            return precio;
        }

        public async Task<List<Model.Negocio>> ObtenerNegocios()
        {
            var dataProvider = new CalculadoraDataProvider();
            return await dataProvider.GetNegocios();
        }

        public async Task<List<Model.Polimero>> ObtenerPolimeros()
        {
            var dataProvider = new CalculadoraDataProvider();
            return await dataProvider.GetPolimeros();
        }

        public async Task<List<Model.Aplicacion>> ObtenerAplicaciones(short idNegocio)
        {
            var dataProvider = new CalculadoraDataProvider();
            return await dataProvider.GetAplicaciones(idNegocio);
        }

        public async Task<List<Model.Moneda>> ObtenerDivisas()
        {
            var dataProvider = new CalculadoraDataProvider();
            return await dataProvider.GetDivisas();
        }
    }
}

