﻿using IQAP.Ofertas.Services.Models;
using IQAP.OfertasAPP.Negocio.Data;
using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.OfertasAPP.Negocio.API
{
    public class OfertasAPI
    {
        public async Task<List<Oferta>> ObtenerOfertas(ParametrosOferta parametro)
        {
            var dataProvider = new OfertasDataProvider();
            return await dataProvider.GetOfertas(parametro);
        }

        public async Task<List<LineaOferta>> ObtenerLineasOferta(int idOferta)
        {
            var dataProvider = new OfertasDataProvider();
            return await dataProvider.GetLineasOferta(idOferta);
        }

        public async Task<List<KeyValuePair<short, decimal>>> ObtenerPrecio(int idLineaOferta)
        {
            var dataProvider = new OfertasDataProvider();
            var precio = await dataProvider.GetPreciosLineaOferta(idLineaOferta);
            return precio;
        }

        public async Task<bool> EnviarMail(int idOferta, List<string> articulos, string destinatario)
        {
            var dataProvider = new OfertasDataProvider();
            return await dataProvider.EnviarMail(idOferta, articulos, destinatario);            
        }
    }
}
