﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.OfertasAPP.Negocio.Data
{
    internal class MaestrosDataProvider
    {
        private const string resourcePrefix = "OfertasServices/Maestros";

        //Retorna una llista amb tots els articles
        internal async Task<List<string>> GetArticulos()
        {
            using (var client = HttpHelper.GetHttpClient())
            {
                // HTTP GET  
                HttpResponseMessage response = await client.GetAsync(String.Format("{0}/Articulos", resourcePrefix));
                if (response.IsSuccessStatusCode)
                {
                    var data = await response.Content.ReadAsStringAsync();

                    return JsonConvert.DeserializeObject<List<string>>(data);
                }
            }
            return null;
        }

        //Retorna una llista amb tots els clients
        internal async Task<List<string>> GetClientes()
        {
            using (var client = HttpHelper.GetHttpClient())
            {
                // HTTP GET  
                HttpResponseMessage response = await client.GetAsync(String.Format("{0}/Clientes", resourcePrefix));
                if (response.IsSuccessStatusCode)
                {
                    var data = await response.Content.ReadAsStringAsync();

                    return JsonConvert.DeserializeObject<List<string>>(data);
                }
            }
            return null;
        }
    }
}
