﻿using IQAP.OfertasAPP.Negocio.Model;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.OfertasAPP.Negocio.Data
{
    internal class UserDataProvider
    {
        private const string resourcePrefix = "OfertasServices/Usuario";
        internal async Task<string> GetUser(Credenciales parametro)
        {
            using (var client = HttpHelper.GetHttpClient())
            {
                // HTTP POST
                var response = await client.PostAsync(resourcePrefix + "/ValidarUsuario", new StringContent(JsonConvert.SerializeObject(parametro), Encoding.UTF8, "application/json"));

                if (response.IsSuccessStatusCode)
                {
                    var value = await response.Content.ReadAsStringAsync();

                    return JsonConvert.DeserializeObject<string>(value);
                }
                
            }
            return null;
        }
    }
}
