﻿using Plugin.Settings;
using Plugin.Settings.Abstractions;
using System;

namespace IQAP.OfertasAPP.Negocio.Helpers
{
    //Classe que s'utilitza per guardar dades persistents com el nom d'usuari i la contrasenya
    public static class Settings
    {
        private static ISettings AppSettings
        {
            get
            {
                return CrossSettings.Current;
            }
        }

        #region Setting Constants

        private const string SettingsKey = "settings_key";
        private static readonly string SettingsDefault = string.Empty;
        private const string IsLoggedInTokenKey = "isloggedid_key";
        private static readonly bool IsLoggedInTokenDefault = false;
        private const string LastUserTokenKey = "lastUser_key";
        private static readonly string LastUserTokenDefault = String.Empty;
        private const string LastPasswordTokenKey = "lastPassword_key";
        private static readonly string LastPasswordTokenDefault = String.Empty;
        private const string IsRememberTokenKey = "isRemember_key";
        private static readonly bool IsRememberTokenDefault = false;
        #endregion
        
        public static string GeneralSettings
        {
            get
            {
                return AppSettings.GetValueOrDefault(SettingsKey, SettingsDefault);

            }
            set
            {
                AppSettings.AddOrUpdateValue(SettingsKey, value);
            }
        }

        public static bool IsLoggedIn
        {
            get { return AppSettings.GetValueOrDefault(IsLoggedInTokenKey, IsLoggedInTokenDefault); }
            set { AppSettings.AddOrUpdateValue(IsLoggedInTokenKey, value); }
        }

        public static string LastUser
        {
            get { return AppSettings.GetValueOrDefault(LastUserTokenKey, LastUserTokenDefault); }
            set { AppSettings.AddOrUpdateValue(LastUserTokenKey, value); }
        }

        public static string LastPassword
        {
            get { return AppSettings.GetValueOrDefault(LastPasswordTokenKey, LastPasswordTokenDefault); }
            set { AppSettings.AddOrUpdateValue(LastPasswordTokenKey, value); }
        }
        public static bool IsRemember
        {
            get { return AppSettings.GetValueOrDefault(IsRememberTokenKey, IsRememberTokenDefault); }
            set { AppSettings.AddOrUpdateValue(IsRememberTokenKey, value); }
        }
    }
}
