﻿
using IQAP.OfertasApp.Recursos;
using Plugin.Connectivity;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.OfertasApp.Helper
{
    public class ConexionAPI
    {
        //Mètode que controla si hi ha connexió a internet
        public async Task<Response> CheckConnection()
        {
            //No te connexió
            if (!CrossConnectivity.Current.IsConnected)
            {
                return new Response
                {
                    IsSuccess = false,
                    Message = Textos.ErrorInternetApagado,
                };
            }

            //te connexió pero no pot navegar
            var isReachable = await CrossConnectivity.Current.IsRemoteReachable("google.com");
            if (!isReachable)
            {
                return new Response
                {
                    IsSuccess = false,
                    Message = Textos.ComprobarConexion,
                };
            }

            //Te connexió
            return new Response
            {
                IsSuccess = true,
                Message = Textos.Ok,
            };
        }
    }
}
