﻿using IQAP.OfertasApp.Views;
using IQAP.OfertasAPP.Negocio.Helpers;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace IQAP.OfertasApp.ViewModels
{
    public class BaseViewModel: INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        protected void SetValue<T>(ref T backingField, T value, [CallerMemberName] string propertyName = null)
        {
            if (EqualityComparer<T>.Default.Equals(backingField, value))
            {
                return;
            }

            backingField = value;
            OnPropertyChanged(propertyName);
        }
        //Comand per tancar la sessió
        public ICommand LogoutCommand
        {
            get
            {
                return new Command(Logout);
            }
        }
        //Tanca la sessió
        public void Logout()
        {
            Settings.IsLoggedIn = false;
            Application.Current.MainPage = new LoginPage();           

        }

    }
}
