﻿using IQAP.OfertasApp.Helper;
using IQAP.OfertasApp.Recursos;
using IQAP.OfertasApp.Views;
using IQAP.OfertasAPP.Negocio.Helpers;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace IQAP.OfertasApp.ViewModels
{
    public class MenuViewModel : BaseViewModel
    {        
        #region Commands
        public ICommand CalculadoraCommand
        {
            get
            {
                return new Command(async () =>
                {
                    await NavegarCalculadora();                                        
                });
            }
        }
        public ICommand OfertasCommand
        {
            get
            {
                return new Command(async () =>
                {
                    await NavegarOfertas();
                });
            }
        }

        #endregion

        #region Constructor
        public MenuViewModel()
        {
            if(Settings.IsLoggedIn == false)
            {
                App.Current.MainPage.Navigation.PushAsync(new LoginPage());
            }
            
        }
        #endregion

        #region Methods
        public async Task NavegarCalculadora()
        {
            var apiAuxiliar = new ConexionAPI();
            var connection = await apiAuxiliar.CheckConnection();
            if (!connection.IsSuccess)
            {
                await App.Current.MainPage.DisplayAlert(Textos.Error, connection.Message, Textos.Aceptar);
                return;
            }

            await Application.Current.MainPage.Navigation.PushAsync(new CalculadoraPage());

        }
        public async Task NavegarOfertas()
        {
            var apiAuxiliar = new ConexionAPI();
            var connection = await apiAuxiliar.CheckConnection();
            if (!connection.IsSuccess)
            {
                await App.Current.MainPage.DisplayAlert(Textos.Error, connection.Message, Textos.Aceptar);
                return;
            }

            await Application.Current.MainPage.Navigation.PushAsync(new OfertasPage());

        }
        #endregion
    }
}
