﻿using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;
using System.Collections.ObjectModel;
using IQAP.OfertasAPP.Negocio.Helpers;
using IQAP.OfertasApp.Views;
using System.Globalization;
using System.Threading;
using Xamarin.Forms;
using IQAP.OfertasApp.Helper;
using IQAP.OfertasApp.Recursos;

namespace IQAP.OfertasApp.ViewModels
{
    public class PreciosViewModel : BaseViewModel
    {
        #region Atributos
        private List<KeyValuePair<short, decimal>> precio;
        private ObservableCollection<KeyValuePair<short, decimal>> listaPrecio;
        private string titulo;
        #endregion

        #region Properties
        public List<KeyValuePair<short, decimal>> Precio
        {
            get {return this.precio; }
            set { SetValue(ref this.precio, value); }
        }
        public string Titulo
        {
            get { return this.titulo; }
            set { SetValue(ref this.titulo, value); }
        }

        public ObservableCollection<KeyValuePair<short, decimal>> ListaPrecio
        {
            get { return this.listaPrecio; }
            set { SetValue(ref this.listaPrecio, value); }
        }

        public object APIAuxiliar { get; }
        #endregion

        #region Constructor
        public PreciosViewModel()
        {
            if (Settings.IsLoggedIn == false)
            {
                App.Current.MainPage.Navigation.PushAsync(new LoginPage());
            }

            CargarPrecios();
        }
        #endregion

        #region Methods
        //Metode que mira si hi ha internet i converteix la llista en una ObservableCollection
        public async void CargarPrecios()
        {
            Thread.CurrentThread.CurrentUICulture = (CultureInfo)Application.Current.Properties["currentLanguage"];

            try
            {
                var api = new ConexionAPI();

                var connection = await api.CheckConnection();
                if (!connection.IsSuccess)
                {
                    await App.Current.MainPage.DisplayAlert(Textos.Error, connection.Message, Textos.Aceptar);
                    await App.Current.MainPage.Navigation.PopAsync();
                    return;
                }

                this.ListaPrecio = new ObservableCollection<KeyValuePair<short, decimal>>(precio);
            }
            catch(Exception ex)
            {                
                await App.Current.MainPage.DisplayAlert(Textos.Error, ex.Message, Textos.Aceptar);
            }
        }
        #endregion
    }
}
