﻿using IQAP.OfertasApp.Recursos;
using IQAP.OfertasApp.ViewModels;
using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace IQAP.OfertasApp.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class CalculadoraPage : ContentPage
	{
        private readonly CalculadoraViewModel _viewModel;
		public CalculadoraPage ()
		{
			InitializeComponent ();

            _viewModel = new CalculadoraViewModel();         

            this.BindingContext = _viewModel;
        }
        
        async void Handle_PickerNegocioSelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                Negocio i = (Negocio)((Picker)sender).SelectedItem;

                await _viewModel.CargarAplicaciones(i.IdNegocio);
            }
            catch(Exception ex)
            {
                await App.Current.MainPage.DisplayAlert(Textos.Error, ex.Message, Textos.Aceptar);
            }
        }
    }
}